Bug 177891 - [maintainer update] update lang/basic256 to 0.9.9.58
Summary: [maintainer update] update lang/basic256 to 0.9.9.58
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: Martin Wilke
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2013-04-16 22:30 UTC by Fernando Apesteguía
Modified: 2013-04-26 07:40 UTC (History)
0 users

See Also:


Attachments
file.diff (10.12 KB, patch)
2013-04-16 22:30 UTC, Fernando Apesteguía
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Fernando Apesteguía freebsd_committer 2013-04-16 22:30:01 UTC
Upgrade lang/basic256 to 0.9.9.58. Minor release with some bug fixes and improved examples and help files.

Fix: Apply the attached patch.

I include also the redports logs:

https://redports.org/~fernape/20130416163001-48281-114396/basic256-0.9.9.58.log
https://redports.org/~fernape/20130416163001-48281-114397/basic256-0.9.9.58.log

Patch attached with submission follows:
Comment 1 Martin Wilke freebsd_committer 2013-04-17 01:56:41 UTC
Responsible Changed
From-To: freebsd-ports-bugs->miwi

I'll take it.
Comment 2 dfilter service freebsd_committer 2013-04-26 07:32:07 UTC
Author: miwi
Date: Fri Apr 26 06:31:53 2013
New Revision: 316570
URL: http://svnweb.freebsd.org/changeset/ports/316570

Log:
  - Update to 0.9.9.58
  
  PR:		177891
  Submitted by:	Fernando <fernando.apesteguia@gmail.com> ( maintainer)

Modified:
  head/lang/basic256/Makefile
  head/lang/basic256/distinfo
  head/lang/basic256/pkg-plist

Modified: head/lang/basic256/Makefile
==============================================================================
--- head/lang/basic256/Makefile	Fri Apr 26 06:21:38 2013	(r316569)
+++ head/lang/basic256/Makefile	Fri Apr 26 06:31:53 2013	(r316570)
@@ -2,7 +2,7 @@
 # $FreeBSD$
 
 PORTNAME=	basic256
-PORTVERSION=	0.9.9.46
+PORTVERSION=	0.9.9.58
 CATEGORIES=	lang
 MASTER_SITES=	SF
 MASTER_SITE_SUBDIR=	kidbasic/${PORTNAME}

Modified: head/lang/basic256/distinfo
==============================================================================
--- head/lang/basic256/distinfo	Fri Apr 26 06:21:38 2013	(r316569)
+++ head/lang/basic256/distinfo	Fri Apr 26 06:31:53 2013	(r316570)
@@ -1,2 +1,2 @@
-SHA256 (basic256_0.9.9.46.tgz) = 2d2cb4f665f8a10a6c2f011c5abc5d9a0e295d58b5e0edf72bbfcde688881481
-SIZE (basic256_0.9.9.46.tgz) = 1777450
+SHA256 (basic256_0.9.9.58.tgz) = d4f72d7bd4e73b9d8754d7e083fafff199b9e7d9d5330b2f1909308d3b1fa3b5
+SIZE (basic256_0.9.9.58.tgz) = 1684680

Modified: head/lang/basic256/pkg-plist
==============================================================================
--- head/lang/basic256/pkg-plist	Fri Apr 26 06:21:38 2013	(r316569)
+++ head/lang/basic256/pkg-plist	Fri Apr 26 06:31:53 2013	(r316570)
@@ -2,7 +2,6 @@ bin/BASIC256
 %%DATADIR%%/Examples/15puzzle.kbs
 %%DATADIR%%/Examples/15puzzle_new.kbs
 %%DATADIR%%/Examples/BASICtest1.kbs
-%%DATADIR%%/Examples/WinkySmile.kbs
 %%DATADIR%%/Examples/arc_example.kbs
 %%DATADIR%%/Examples/arrays.kbs
 %%DATADIR%%/Examples/ballaccel.kbs
@@ -19,8 +18,6 @@ bin/BASIC256
 %%DATADIR%%/Examples/collision3.kbs
 %%DATADIR%%/Examples/databasefoo.kbs
 %%DATADIR%%/Examples/db_quote.kbs
-%%DATADIR%%/Examples/db_team.sqlite3
-%%DATADIR%%/Examples/dbtest.sqlite3
 %%DATADIR%%/Examples/dice/dice.kbs
 %%DATADIR%%/Examples/dice/dice_2.kbs
 %%DATADIR%%/Examples/dice/dicewood.wav
@@ -50,12 +47,10 @@ bin/BASIC256
 %%DATADIR%%/Examples/poly.kbs
 %%DATADIR%%/Examples/polytest.kbs
 %%DATADIR%%/Examples/quotations.kbs
-%%DATADIR%%/Examples/quotations.sqlite3
 %%DATADIR%%/Examples/rainbow.kbs
 %%DATADIR%%/Examples/ring_01.kbs
 %%DATADIR%%/Examples/rotating3dcube.kbs
 %%DATADIR%%/Examples/sliceanimation.kbs
-%%DATADIR%%/Examples/smile_stamp.kbs
 %%DATADIR%%/Examples/snowflakes.kbs
 %%DATADIR%%/Examples/sprites/3062__SpeedY__bleep.wav
 %%DATADIR%%/Examples/sprites/4359__NoiseCollector__PongBlipF4.wav
@@ -77,11 +72,15 @@ bin/BASIC256
 %%DATADIR%%/Examples/story.kbs
 %%DATADIR%%/Examples/subroutine_global.kbs
 %%DATADIR%%/Examples/subroutine_squares.kbs
-%%DATADIR%%/Examples/t.kbc
 %%DATADIR%%/Examples/teamdatabase.kbs
-%%DATADIR%%/Examples/teamdatabase.sqlite3
+%%DATADIR%%/Examples/testing/2darraytest.kbs
+%%DATADIR%%/Examples/testing/2dstrarraytest.kbs
 %%DATADIR%%/Examples/testing/KalRGB.kbs
 %%DATADIR%%/Examples/testing/README.txt
+%%DATADIR%%/Examples/testing/arraylistassign.kbs
+%%DATADIR%%/Examples/testing/beautifytest.kbs
+%%DATADIR%%/Examples/testing/binaryfileio.kbs
+%%DATADIR%%/Examples/testing/counttest.kbs
 %%DATADIR%%/Examples/testing/explodetest.kbs
 %%DATADIR%%/Examples/testing/fontdemo.kbs
 %%DATADIR%%/Examples/testing/foo.txt
@@ -92,7 +91,6 @@ bin/BASIC256
 %%DATADIR%%/Examples/testing/random_one.kbs
 %%DATADIR%%/Examples/testing/readbinary_test.kbs
 %%DATADIR%%/Examples/testing/replacetest.kbs
-%%DATADIR%%/Examples/testing/rgbarecode.kbs
 %%DATADIR%%/Examples/testing/tes_oo.kbs
 %%DATADIR%%/Examples/testing/test_dountil.kbs
 %%DATADIR%%/Examples/testing/test_logicalops.kbs
@@ -108,7 +106,6 @@ bin/BASIC256
 %%DATADIR%%/Examples/testing/testplusplus2.kbs
 %%DATADIR%%/Examples/testing/testsubroutinebyref.kbs
 %%DATADIR%%/Examples/testing/testsuite.kbs
-%%DATADIR%%/Examples/testing/testsuitestatic.wav
 %%DATADIR%%/Examples/testing/testtextfont.kbs
 %%DATADIR%%/Examples/testing/testtime.kbs
 %%DATADIR%%/Examples/testing/uaarray.kbs
@@ -117,10 +114,12 @@ bin/BASIC256
 %%DATADIR%%/Examples/trig.kbs
 %%DATADIR%%/Examples/uniformRV.kbs
 %%DATADIR%%/basic256_de.qm
-%%DATADIR%%/basic256_en_US.qm
+%%DATADIR%%/basic256_en.qm
 %%DATADIR%%/basic256_es.qm
+%%DATADIR%%/basic256_fr.qm
 %%DATADIR%%/basic256_nl.qm
-%%DATADIR%%/basic256_ru_RU.qm
+%%DATADIR%%/basic256_pt.qm
+%%DATADIR%%/basic256_ru.qm
 %%DATADIR%%/help/de_abs.html
 %%DATADIR%%/help/de_acos.html
 %%DATADIR%%/help/de_anonymefelder.html
@@ -263,7 +262,6 @@ bin/BASIC256
 %%DATADIR%%/help/de_writeline.html
 %%DATADIR%%/help/de_year.html
 %%DATADIR%%/help/de_zeichenketten-konstantenauchtext-konstanten.html
-%%DATADIR%%/help/en:start#Text
 %%DATADIR%%/help/en_abs.html
 %%DATADIR%%/help/en_acos.html
 %%DATADIR%%/help/en_alert.html
@@ -419,6 +417,7 @@ bin/BASIC256
 %%DATADIR%%/help/en_ref.html
 %%DATADIR%%/help/en_refresh.html
 %%DATADIR%%/help/en_rem.html
+%%DATADIR%%/help/en_removedfeatures.html
 %%DATADIR%%/help/en_replace.html
 %%DATADIR%%/help/en_replacex.html
 %%DATADIR%%/help/en_reset.html
@@ -783,7 +782,6 @@ bin/BASIC256
 %%DATADIR%%/help/fr_write.html
 %%DATADIR%%/help/fr_writeline.html
 %%DATADIR%%/help/fr_year.html
-%%DATADIR%%/help/fullindex.html
 %%DATADIR%%/help/galleryjmreneau.html
 %%DATADIR%%/help/galleryjoelkahn.html
 %%DATADIR%%/help/games.html
@@ -805,15 +803,10 @@ bin/BASIC256
 %%DATADIR%%/help/graphicsutilitiesstampmaker.html
 %%DATADIR%%/help/graphicsutility.html
 %%DATADIR%%/help/index.html
-%%DATADIR%%/help/lib/exe/alert.png
 %%DATADIR%%/help/lib/exe/arc_example.png
 %%DATADIR%%/help/lib/exe/basic256.png
 %%DATADIR%%/help/lib/exe/chord_example.png
-%%DATADIR%%/help/lib/exe/circle.png
-%%DATADIR%%/help/lib/exe/color.png
-%%DATADIR%%/help/lib/exe/confirm.png
 %%DATADIR%%/help/lib/exe/css1353871590.css
-%%DATADIR%%/help/lib/exe/css1359429941.css
 %%DATADIR%%/help/lib/exe/de.png
 %%DATADIR%%/help/lib/exe/en.png
 %%DATADIR%%/help/lib/exe/en_cir.png
@@ -842,13 +835,8 @@ bin/BASIC256
 %%DATADIR%%/help/lib/exe/fr_cos.jpg
 %%DATADIR%%/help/lib/exe/fr_sin.jpg
 %%DATADIR%%/help/lib/exe/fr_tan.jpg
-%%DATADIR%%/help/lib/exe/gamesballoons.png
-%%DATADIR%%/help/lib/exe/gamescopycat.png
-%%DATADIR%%/help/lib/exe/gamesspinner.png
-%%DATADIR%%/help/lib/exe/graphicsutilitiesstamp2sprite.png
 %%DATADIR%%/help/lib/exe/jmreneau_mobius.png
 %%DATADIR%%/help/lib/exe/jmreneau_morie.png
-%%DATADIR%%/help/lib/exe/line.png
 %%DATADIR%%/help/lib/exe/nl.png
 %%DATADIR%%/help/lib/exe/nl_array.png
 %%DATADIR%%/help/lib/exe/nl_arrays_disp.png
@@ -867,9 +855,7 @@ bin/BASIC256
 %%DATADIR%%/help/lib/exe/nl_wrong_string.png
 %%DATADIR%%/help/lib/exe/opensearch.php
 %%DATADIR%%/help/lib/exe/pie_chart.png
-%%DATADIR%%/help/lib/exe/prompt.png
 %%DATADIR%%/help/lib/exe/pt.png
-%%DATADIR%%/help/lib/exe/rect.png
 %%DATADIR%%/help/lib/exe/ro.png
 %%DATADIR%%/help/lib/exe/ru.png
 %%DATADIR%%/help/lib/exe/ru_cir.png
@@ -1080,6 +1066,7 @@ bin/BASIC256
 %%DATADIR%%/help/nl_year.html
 %%DATADIR%%/help/pt_abs.html
 %%DATADIR%%/help/pt_acos.html
+%%DATADIR%%/help/pt_alert.html
 %%DATADIR%%/help/pt_anonymousarrays.html
 %%DATADIR%%/help/pt_arc.html
 %%DATADIR%%/help/pt_arrays.html
@@ -1100,6 +1087,7 @@ bin/BASIC256
 %%DATADIR%%/help/pt_close.html
 %%DATADIR%%/help/pt_cls.html
 %%DATADIR%%/help/pt_color.html
+%%DATADIR%%/help/pt_confirm.html
 %%DATADIR%%/help/pt_cos.html
 %%DATADIR%%/help/pt_count.html
 %%DATADIR%%/help/pt_countx.html
@@ -1119,9 +1107,15 @@ bin/BASIC256
 %%DATADIR%%/help/pt_degrees.html
 %%DATADIR%%/help/pt_dim.html
 %%DATADIR%%/help/pt_dir.html
+%%DATADIR%%/help/pt_do.html
 %%DATADIR%%/help/pt_dountil.html
 %%DATADIR%%/help/pt_editvisible.html
+%%DATADIR%%/help/pt_else.html
 %%DATADIR%%/help/pt_end.html
+%%DATADIR%%/help/pt_endfunction.html
+%%DATADIR%%/help/pt_endif.html
+%%DATADIR%%/help/pt_endsubroutine.html
+%%DATADIR%%/help/pt_endwhile.html
 %%DATADIR%%/help/pt_eof.html
 %%DATADIR%%/help/pt_errorcodes.html
 %%DATADIR%%/help/pt_exists.html
@@ -1132,16 +1126,24 @@ bin/BASIC256
 %%DATADIR%%/help/pt_float.html
 %%DATADIR%%/help/pt_floor.html
 %%DATADIR%%/help/pt_font.html
+%%DATADIR%%/help/pt_for.html
 %%DATADIR%%/help/pt_fornext.html
 %%DATADIR%%/help/pt_freedb.html
 %%DATADIR%%/help/pt_freedbset.html
 %%DATADIR%%/help/pt_freefile.html
 %%DATADIR%%/help/pt_freenet.html
+%%DATADIR%%/help/pt_frombinary.html
+%%DATADIR%%/help/pt_fromhex.html
+%%DATADIR%%/help/pt_fromoctal.html
+%%DATADIR%%/help/pt_fromradix.html
 %%DATADIR%%/help/pt_function.html
+%%DATADIR%%/help/pt_getbrushcolor.html
 %%DATADIR%%/help/pt_getcolor.html
+%%DATADIR%%/help/pt_getpenwidth.html
 %%DATADIR%%/help/pt_getsetting.html
 %%DATADIR%%/help/pt_getslice.html
 %%DATADIR%%/help/pt_global.html
+%%DATADIR%%/help/pt_gosub.html
 %%DATADIR%%/help/pt_gosubreturn.html
 %%DATADIR%%/help/pt_goto.html
 %%DATADIR%%/help/pt_graphheight.html
@@ -1149,6 +1151,7 @@ bin/BASIC256
 %%DATADIR%%/help/pt_graphvisible.html
 %%DATADIR%%/help/pt_graphwidth.html
 %%DATADIR%%/help/pt_hour.html
+%%DATADIR%%/help/pt_if.html
 %%DATADIR%%/help/pt_ifthen.html
 %%DATADIR%%/help/pt_imgload.html
 %%DATADIR%%/help/pt_imgsave.html
@@ -1184,6 +1187,7 @@ bin/BASIC256
 %%DATADIR%%/help/pt_netlisten.html
 %%DATADIR%%/help/pt_netread.html
 %%DATADIR%%/help/pt_netwrite.html
+%%DATADIR%%/help/pt_next.html
 %%DATADIR%%/help/pt_numericconstants.html
 %%DATADIR%%/help/pt_offerror.html
 %%DATADIR%%/help/pt_onerror.html
@@ -1192,6 +1196,7 @@ bin/BASIC256
 %%DATADIR%%/help/pt_ostype.html
 %%DATADIR%%/help/pt_outputvisible.html
 %%DATADIR%%/help/pt_pause.html
+%%DATADIR%%/help/pt_penwidth.html
 %%DATADIR%%/help/pt_pie.html
 %%DATADIR%%/help/pt_pixel.html
 %%DATADIR%%/help/pt_plot.html
@@ -1200,6 +1205,7 @@ bin/BASIC256
 %%DATADIR%%/help/pt_portout.html
 %%DATADIR%%/help/pt_print.html
 %%DATADIR%%/help/pt_programsyntax.html
+%%DATADIR%%/help/pt_prompt.html
 %%DATADIR%%/help/pt_putslice.html
 %%DATADIR%%/help/pt_radians.html
 %%DATADIR%%/help/pt_rand.html
@@ -1241,6 +1247,7 @@ bin/BASIC256
 %%DATADIR%%/help/pt_spritey.html
 %%DATADIR%%/help/pt_sqr.html
 %%DATADIR%%/help/pt_stamp.html
+%%DATADIR%%/help/pt_stampmaker.html
 %%DATADIR%%/help/pt_start.html
 %%DATADIR%%/help/pt_string.html
 %%DATADIR%%/help/pt_stringconstants.html
@@ -1249,13 +1256,21 @@ bin/BASIC256
 %%DATADIR%%/help/pt_tan.html
 %%DATADIR%%/help/pt_text.html
 %%DATADIR%%/help/pt_textwidth.html
+%%DATADIR%%/help/pt_then.html
 %%DATADIR%%/help/pt_throwerror.html
+%%DATADIR%%/help/pt_tobinary.html
+%%DATADIR%%/help/pt_tohex.html
+%%DATADIR%%/help/pt_tooctal.html
+%%DATADIR%%/help/pt_toradix.html
+%%DATADIR%%/help/pt_until.html
 %%DATADIR%%/help/pt_upper.html
 %%DATADIR%%/help/pt_variables.html
+%%DATADIR%%/help/pt_version.html
 %%DATADIR%%/help/pt_volume.html
 %%DATADIR%%/help/pt_wavplay.html
 %%DATADIR%%/help/pt_wavstop.html
 %%DATADIR%%/help/pt_wavwait.html
+%%DATADIR%%/help/pt_while.html
 %%DATADIR%%/help/pt_whileendwhile.html
 %%DATADIR%%/help/pt_write.html
 %%DATADIR%%/help/pt_writebyte.html
_______________________________________________
svn-ports-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/svn-ports-all
To unsubscribe, send any mail to "svn-ports-all-unsubscribe@freebsd.org"
Comment 3 Martin Wilke freebsd_committer 2013-04-26 07:32:10 UTC
State Changed
From-To: open->closed

Committed. Thanks!